Cancel an Entity Onboarding Request
curl --request PATCH \
--url https://api.traxes.io/connect/v1/onboarding/entities/{onboardingRequestId}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.traxes.io/connect/v1/onboarding/entities/{onboardingRequestId}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.traxes.io/connect/v1/onboarding/entities/{onboardingRequestId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"action": {
"documentationLink": "<string>",
"redirectLink": "<string>"
},
"created": "2023-11-07T05:31:56Z",
"data": {
"collective": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"properties": "<unknown>"
},
"entity": {
"collectiveId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"information": {
"brand": "<string>",
"identifier": "<string>",
"pairingCode": "<string>",
"associatedEmail": "<string>",
"name": "<string>",
"track": "<string>"
},
"owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"properties": "<unknown>",
"reference": {
"brand": "<string>",
"type": "<string>",
"identifier": "<string>"
},
"systemProperties": "<unknown>"
}
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"principalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"returnUrl": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"description": "<string>",
"message": "<string>"
}
]
}Onboarding API
Cancel an Entity Onboarding Request
Cancels the specified Entity Onboarding Request and returns that Entity Onboarding Request with updated status.
PATCH
/
v1
/
onboarding
/
entities
/
{onboardingRequestId}
/
cancel
Cancel an Entity Onboarding Request
Authorizations
Access Token Authentication
Path Parameters
The id of the Entity Onboarding Request
Response
OK
Represents an onboarding request
Represents an action for an onboarding request
Show child attributes
Show child attributes
The date and time the onboarding request was created.
Represents the data of an onboarding request
Show child attributes
Show child attributes
The id of the onboarding request
The id of the principal that initiated the onboarding request
Available options:
Collective, Entity The url where the User will be redirected to after completing the consent flow on the OEM page.
Available options:
Canceled, Failed, InProgress, Pending, Succeeded Errors that occurred during the processing of the onboarding request
Show child attributes
Show child attributes
Was this page helpful?
⌘I